Name:           doomsday
Version:        1.9.8
Release:        %mkrel 2

Summary:        The Doomsday Engine: DOOM/Hertic/Hexen port with pretty graphics
License:        GPLv2
Group:          Games/Adventure
URL:            http://doomsdayhq.com/
Source:         %name-%version.tar.xz
Patch1:         deng-lint.patch
Patch2:		deng-nodate.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  %{_lib}mesagl1-devel
BuildRequires:  SDL-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  gcc-c++
BuildRequires:  libpng-devel
BuildRequires:  libqt4-devel >= 4.6
BuildRequires:  ncurses-devel
BuildRequires:  x11-server-devel
BuildRequires:  xz
BuildRequires:  zlib-devel
Requires:       TiMidity++
Provides:       jdoom = %version-%release
Provides:       jheretic = %version-%release
Provides:       jhexen = %version-%release
Obsoletes:	deng < %version-%release
Provides:	deng = %version-%release

%description
The Doomsday Engine is a source port with support for Doom, Heretic,
and Hexen. It does not support BOOM extensions.


%prep
%setup -q

%apply_patches

%build
cd doomsday/build
qmake ../doomsday.pro -o 
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
install -m 755 doomsday/build/build/launch-doomsday $RPM_BUILD_ROOT/%_bindir
install -m 755 doomsday/build/engine/doomsday $RPM_BUILD_ROOT/%_bindir

mkdir -p $RPM_BUILD_ROOT/%_libdir
install -m 644 doomsday/build/plugins/jdoom/lib* $RPM_BUILD_ROOT/%_libdir
install -m 644 doomsday/build/plugins/jdoom64/lib* $RPM_BUILD_ROOT/%_libdir
install -m 644 doomsday/build/plugins/dehread/lib* $RPM_BUILD_ROOT/%_libdir
install -m 644 doomsday/build/plugins/jheretic/lib* $RPM_BUILD_ROOT/%_libdir
install -m 644 doomsday/build/plugins/jhexen/lib* $RPM_BUILD_ROOT/%_libdir
install -m 644 doomsday/build/plugins/wadmapconverter/lib* $RPM_BUILD_ROOT/%_libdir
install -m 644 doomsday/build/libdeng2/lib* $RPM_BUILD_ROOT/%_libdir

mkdir -p $RPM_BUILD_ROOT/%_datadir/%name/
cp -r snowberry $RPM_BUILD_ROOT/%_datadir/%name/

mkdir -p $RPM_BUILD_ROOT/%_datadir/%name/data/{jdoom,jdoom64,jheretic,jhexen}
install -m 644 doomsday/build/doomsday.pk3 $RPM_BUILD_ROOT/%_datadir/%name/data
install -m 644 doomsday/build/jdoom64.pk3 $RPM_BUILD_ROOT/%_datadir/%name/data/jdoom64
install -m 644 doomsday/build/jdoom.pk3 $RPM_BUILD_ROOT/%_datadir/%name/data/jdoom
install -m 644 doomsday/build/jheretic.pk3 $RPM_BUILD_ROOT/%_datadir/%name/data/jheretic
install -m 644 doomsday/build/jhexen.pk3 $RPM_BUILD_ROOT/%_datadir/%name/data/jhexen
cp -r doomsday/engine/data/{fonts,graphics,keymaps,*.txt} $RPM_BUILD_ROOT/%_datadir/%name/data

chmod a+x $RPM_BUILD_ROOT/%_bindir/{doomsday,launch-doomsday}


#Create the desktop entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Doomsday Engine
Comment=Doom/Heretic/Hexen with enhanced graphics
Exec=launch-%{name}
Icon=snowberry.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ActionGame;X-MandrivaLinux-MoreApplications-Games-Adventure;
EOF
#desktop icon
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
install -m 644 snowberry/graphics/snowberry.png \
$RPM_BUILD_ROOT/%_datadir/pixmaps

#cleanup
rm -rf $RPM_BUILD_ROOT/%_datadir/%name/snowberry/{Snowberry.*,template-*,*.bat,apidoc,resources,*.icns}

%post -n %{name} 
/sbin/ldconfig

%postun -n %{name} 
/sbin/ldconfig

%files
%defattr(-,root,root)
%_bindir/doomsday
%_bindir/launch-doomsday
%_datadir/pixmaps/snowberry.png
%_datadir/%name/*
%_libdir/lib*
%_datadir/applications/%name.desktop


%changelog
* Fri Aug 16 2013 billybot <billybot> 1.9.8-2pclos2013
- update

* Mon Oct 01 2012 Neal <nealbrks0 at gmail dot com> 1.9.8-1pclos2012
- process

* Fri Sep 28 2012 Ken <lxgator at gmail.com> 1.9.8-1pclos2012
- 1.9.8
